
package com.tmerclub.cloud.flow.service;

import com.tmerclub.cloud.flow.dto.FlowLogDTO;

/**
 * 流量分析
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public interface FlowService {
    /**
     * 用户流量记录
     *
     * @param flowLogDTO
     */
    void log(FlowLogDTO flowLogDTO);

    /**
     * 支付成功记录
     * @param sysType
     * @param orderIds
     * @param userId
     */
    void paySuccessLog(Integer sysType, String orderIds, Long userId);


    /**
     * 统计用户流量记录
     */
    void statisticalFlowUserLog();

}
